Subject: Re: linux-next: build failure after merge of the mhi tree

From: Manivannan Sadhasivam <[email-masked]>
Date: Wed, 19 Aug 2020 09:34:55 +0530

Hi Stephen,

On Wed, Aug 19, 2020 at 01:48:00PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> 
> I am not sure which commit(s) caused this.
> 

Probably the below commit which built fine with gcc but failing with clang:

92ce39feb722 bus: mhi: core: Introduce debugfs entries for MHI

I've dropped this and also one dependent commit from mhi-next branch.

Bhaumik: Please fix the issue and resubmit debugfs and sysfs patches.

Thanks,
Mani

> I have used the mhi tree from next-20200818 for today.
> 
> -- 
> Cheers,
> Stephen Rothwell